using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace EQIA.EQIDL
{
    public partial class InvSlot : Control
    {
        private string myBackground;
        private int myEQType, myItemOffsetX, myItemOffsetY;

        [XmlElement("EQType", IsNullable = false)]
        [Browsable(true), Description("Inventory slot type (user, trading, merchant, bank, etc.)")]
        public int EQType { get { return myEQType; } set { myEQType = value; } }

        [XmlElement("Background", IsNullable = false)]
        [Browsable(true), Description("Background image for this inventory slot, when empty")]
        public string Background { get { return myBackground; } set { myBackground = value; } }

        [XmlElement("ItemOffsetX", IsNullable = false)]
        [Browsable(true), Description("X-offset to apply to a contained item")]
        public int ItemOffsetX { get { return myItemOffsetX; } set { myItemOffsetX = value; } }

        [XmlElement("ItemOffsetY", IsNullable = false)]
        [Browsable(true), Description("Y-offset to apply to a contained item")]
        public int ItemOffsetY { get { return myItemOffsetY; } set { myItemOffsetY = value; } }

        public InvSlot() : this(null) { }
        public InvSlot(EQInterface eqInterface) : base(eqInterface) { }

        protected override void SetProperties(object obj)
        {
            base.SetProperties(obj);

            InvSlot temp_InvSlot = obj as InvSlot;
            if (temp_InvSlot != null)
            {
                EQType = temp_InvSlot.EQType;
                Background = temp_InvSlot.Background;
                ItemOffsetX = temp_InvSlot.ItemOffsetX;
                ItemOffsetY = temp_InvSlot.ItemOffsetY;
            }
        }
    }
}
